Index: doc/latex/libDC_8h__dep__incl.eps
===================================================================
--- doc/latex/libDC_8h__dep__incl.eps (revision 79)
+++ doc/latex/libDC_8h__dep__incl.eps (revision 91)
@@ -1,4 +1,4 @@
 %!PS-Adobe-2.0
-%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
 %%For: (smidl) Vasek Smidl,,,
 %%Title: G
@@ -89,15 +89,13 @@
 } def
 
-% draw aligned label in bounding box aligned to current point
-/alignedtext {			% width adj text
+% draw text fitted to its expected width
+/alignedtext {			% width text
 	/text exch def
-	/adj exch def
 	/width exch def
 	gsave
 		width 0 gt {
-			text stringwidth pop adj mul 0 rmoveto
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
 		} if
-		[] 0 setdash
-		text show
 	grestore
 } def
@@ -182,51 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 506 240
+%%PageBoundingBox: 36 36 467 232
 %%PageOrientation: Portrait
-gsave
-36 36 506 240 boxprim clip newpath
 0 0 1 beginpage
+gsave
+36 36 431 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 200 lineto
-466 200 lineto
-466 -4 lineto
-closepath fill
-1 setlinewidth
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 200 lineto
-466 200 lineto
-466 -4 lineto
-closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 222 174 moveto
-222 195 lineto
-386 195 lineto
-386 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 222 174 moveto
-222 195 lineto
-386 195 lineto
-386 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-304 181 moveto 148 -0.5 (work/mixpp/bdm/math/libDC.h) alignedtext
+newpath 204 168 moveto
+204 187 lineto
+351 187 lineto
+351 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 204 168 moveto
+204 187 lineto
+351 187 lineto
+351 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+211.75 173.25 moveto 130.5 (work/mixpp/bdm/math/libDC.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 228 117 380 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 228 117 380 137 ]
+[ /Rect [ 207 113 347 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -234,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 228 116 moveto
-228 137 lineto
-380 137 lineto
-380 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 228 116 moveto
-228 137 lineto
-380 137 lineto
-380 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-304 123 moveto 136 -0.5 (work/mixpp/bdm/stat/libEF.h) alignedtext
+newpath 207 112 moveto
+207 131 lineto
+347 131 lineto
+347 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 207 112 moveto
+207 131 lineto
+347 131 lineto
+347 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+215.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
 grestore
 % Node1->Node2
@@ -256,28 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 304 164 moveto
-304 154 304 144 304 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 300.5 164 moveto
-304 174 lineto
-307.5 164 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 300.5 164 moveto
-304 174 lineto
-307.5 164 lineto
+newpath 277 158 moveto
+277 149 277 138 277 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 273.5 158 moveto
+277 168 lineto
+280.5 158 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 273.5 158 moveto
+277 168 lineto
+280.5 158 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 302 59 462 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libPF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 302 59 462 79 ]
+[ /Rect [ 277 57 423 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -285,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 302 58 moveto
-302 79 lineto
-462 79 lineto
-462 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 302 58 moveto
-302 79 lineto
-462 79 lineto
-462 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-382 65 moveto 144 -0.5 (work/mixpp/bdm/estim/libPF.h) alignedtext
+newpath 277 56 moveto
+277 75 lineto
+424 75 lineto
+424 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 277 56 moveto
+277 75 lineto
+424 75 lineto
+424 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+284.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
 grestore
 % Node1->Node5
@@ -307,29 +282,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 351 170 moveto
-366 163 381 152 389 138 curveto
-399 119 392 93 386 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 349.717 166.74 moveto
-342 174 lineto
-352.56 173.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 349.717 166.74 moveto
-342 174 lineto
-352.56 173.137 lineto
+newpath 318 164 moveto
+333 157 348 146 356 132 curveto
+366 114 359 89 354 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 316.717 160.74 moveto
+309 168 lineto
+319.56 167.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 316.717 160.74 moveto
+309 168 lineto
+319.56 167.137 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 42 117 210 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 42 117 210 137 ]
+[ /Rect [ 39 113 189 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -337,20 +307,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 42 116 moveto
-42 137 lineto
-211 137 lineto
-211 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 42 116 moveto
-42 137 lineto
-211 137 lineto
-211 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-126 123 moveto 153 -0.5 (work/mixpp/bdm/math/chmat.h) alignedtext
+newpath 39 112 moveto
+39 131 lineto
+189 131 lineto
+189 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 39 112 moveto
+39 131 lineto
+189 131 lineto
+189 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+46.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
 grestore
 % Node1->Node6
@@ -359,28 +329,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 260 171 moveto
-228 160 185 146 157 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 259.416 174.479 moveto
-270 174 lineto
-261.427 167.774 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 259.416 174.479 moveto
-270 174 lineto
-261.427 167.774 lineto
+newpath 238 165 moveto
+208 155 167 140 140 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 237.416 168.479 moveto
+248 168 lineto
+239.427 161.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 237.416 168.479 moveto
+248 168 lineto
+239.427 161.774 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 72 59 232 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 72 59 232 79 ]
+[ /Rect [ 65 57 211 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -388,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 72 58 moveto
-72 79 lineto
-232 79 lineto
-232 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 72 58 moveto
-72 79 lineto
-232 79 lineto
-232 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-152 65 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
+newpath 65 56 moveto
+65 75 lineto
+212 75 lineto
+212 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 65 56 moveto
+65 75 lineto
+212 75 lineto
+212 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+72.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node2->Node3
@@ -410,18 +375,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 265 112 moveto
-238 102 202 88 178 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 264.415 115.536 moveto
-275 116 lineto
-267.015 109.036 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 264.415 115.536 moveto
-275 116 lineto
-267.015 109.036 lineto
+newpath 243 108 moveto
+217 98 182 84 160 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 241.44 111.137 moveto
+252 112 lineto
+244.283 104.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 241.44 111.137 moveto
+252 112 lineto
+244.283 104.74 lineto
 closepath stroke
 grestore
@@ -431,28 +396,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 327 110 moveto
-341 100 357 87 369 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 324.9 107.2 moveto
-319 116 lineto
-329.1 112.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 324.9 107.2 moveto
-319 116 lineto
-329.1 112.8 lineto
+newpath 298 106 moveto
+311 96 327 83 338 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 295.9 103.2 moveto
+290 112 lineto
+300.1 108.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 295.9 103.2 moveto
+290 112 lineto
+300.1 108.8 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 0 1 304 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 0 1 304 21 ]
+[ /Rect [ 0 1 276 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
@@ -461,7 +421,7 @@
 0.000 0.000 1.000 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-304 21 lineto
-304 0 lineto
+0 19 lineto
+276 19 lineto
+276 0 lineto
 closepath fill
 1 setlinewidth
@@ -469,11 +429,11 @@
 0.000 0.000 0.000 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-304 21 lineto
-304 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-152 7 moveto 288 -0.5 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+0 19 lineto
+276 19 lineto
+276 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
 grestore
 % Node3->Node4
@@ -482,18 +442,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 152 48 moveto
-152 38 152 28 152 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 148.5 48 moveto
-152 58 lineto
-155.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 148.5 48 moveto
-152 58 lineto
-155.5 48 lineto
+newpath 138 46 moveto
+138 37 138 26 138 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.5 46 moveto
+138 56 lineto
+141.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.5 46 moveto
+138 56 lineto
+141.5 46 lineto
 closepath stroke
 grestore
@@ -503,18 +463,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 135 107 moveto
-139 97 144 86 148 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 131.863 105.44 moveto
-131 116 lineto
-138.26 108.283 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 131.863 105.44 moveto
-131 116 lineto
-138.26 108.283 lineto
+newpath 122 103 moveto
+127 93 131 82 134 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 118.863 101.44 moveto
+118 112 lineto
+125.26 104.283 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 118.863 101.44 moveto
+118 112 lineto
+125.26 104.283 lineto
 closepath stroke
 grestore
@@ -526,5 +486,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 506 240
+%%BoundingBox: 36 36 467 232
 end
 restore
